%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   version
%define modv   0.88
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A Perl extension for Version Objects
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/J/JP/JPEACOCK/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        John Peacock <jpeacock@cpan.org>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl >= 5.5.4
BuildRequires: perl(Config)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.13
BuildRequires: perl(IO::Handle)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::Harness)
BuildRequires: perl(Test::More) >= 0.45


%description
Version objects were added to Perl in 5.10. This module implements version
objects for older versions of Perl and provides the version object API for
all versions of Perl.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} \
	Makefile.PL          \
	INSTALLDIRS="vendor" \
	OPTIMIZE="${RPM_OPT_FLAGS} -Wno-unused"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist"       -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -type f -name "*.bs" -a -size 0 -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d          -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/auto/%{modn}
%{perl_vendorarch}/%{modn}
%{perl_vendorarch}/%{modn}.pod
%{perl_vendorarch}/%{modn}.pm
%{_mandir}/man3/*.3*


%changelog
* Tue Dec 21 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.88-1
- New version (0.88)

* Mon Dec 20 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.87-1
- New version (0.87)

* Sat Dec 04 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.86-1
- New version (0.86)

* Wed Oct 08 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.76-1
- New version (0.76)

* Fri May 02 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.74-1
- Initial build
